ServiceProxy (Tomcat API Documentation)
Keywords: org.apache.naming.factory.webservices.ServiceProxy class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.factory.webservices
Class ServiceProxy

    java.lang.Object
      org.apache.naming.factory.webservices.ServiceProxy

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

    public class ServiceProxy

extends java.lang.Object
implements java.lang.reflect.InvocationHandler

Object proxy for Web Services.

Author:
  Fabien Carrion

Constructor Summary
`ServiceProxy(Service service)` Constructs a new ServiceProxy wrapping given Service instance.

Method Summary
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`
`void` | `setPortComponentRef(java.util.Hashtable portComponentRef)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceProxy

    public ServiceProxy(Service service)
                 throws ServiceException

  Constructs a new ServiceProxy wrapping given Service instance.

  Parameters:
    `service` - the wrapped Service instance
  Throws:
    `ServiceException` - should be never thrown

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Throws:
    `java.lang.Throwable`
  See Also:
    `InvocationHandler.invoke(java.lang.Object, java.lang.reflect.Method, java.lang.Object[])`

### setPortComponentRef

    public void setPortComponentRef(java.util.Hashtable portComponentRef)

  Parameters:
    `portComponentRef` - List

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.